package com.jxy.marketall.enums;

/**
 * @Description 衍生数据查询type范围条件
 * @Date 2022/6/10 10:13
 * @Author 杜懿
 */
public enum DerivativeType {

    CHANGES("0", "changes"),
    CHANGESDAILY("1", "changes24h"),
    DAILYVOLUME("2", "daily_volume"),
    OPENINTEREST("3", "open_interest");

    private final String code;
    private final String info;

    DerivativeType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
